<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->		
		<form-bean
				name="w83bFormBusqTiposVoces"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="codSelec"	type="java.lang.String"/>
				<form-property name="w83bTiposVocesBean" type="w83b.w83bBeans.W83bTiposVocesBean"/>
		</form-bean>
		<form-bean
				name="w83bFormNuevoTiposVoces"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bTiposVocesNuevoBean" type="w83b.w83bBeans.W83bTiposVocesBean"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqTiposVoces[w83bTiposVocesBean],w83bFormNuevoTiposVoces[w83bTiposVocesNuevoBean]"/>				   
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.tiposVoces"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.tiposVoces.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String"/>	
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>
				<form-property name="w83bListaCod" type="java.util.List"/>	
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="w83bTiposVocesBean" type="w83b.w83bBeans.W83bTiposVocesBean"/>
				<form-property name="w83bTiposVocesNuevoBean" type="w83b.w83bBeans.W83bTiposVocesBean"/>
				<form-property name="w83bTiposVocesNuevoBeanSalida" type="w83b.w83bBeans.W83bTiposVocesBean"/>
				<form-property name="w83bTiposVocesNuevoTempBean" type="w83b.w83bBeans.W83bTiposVocesBean"/>
				<form-property name="w83bTiposVocesTempBean" type="w83b.w83bBeans.W83bTiposVocesBean"/>
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.tiposVoces"/>
				<form-property name="w83bListaTiposVoces" type="java.util.List"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				
				<form-property name="subOpFlag" type="java.lang.String" initial="tiposVoces"/>		
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action
				path ="/w83bInicioBusquedaTiposVocesMenu" forward="paginaTiposVocesMenu"/>
		<action
				path ="/w83bInicioAnyadirTiposVocesMenu" forward="paginaAnyadirTiposVocesMenu"/>
<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqTiposVoces"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqTiposVoces.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bTablaTiposVocesIraNuevo.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaTiposVocesDetalle.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaTiposVocesDetalle.do"/>
				<forward
					name="comun.boton.borrar"
					path="/w83bTablaTiposVocesBorrar.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaTiposVocesExcel.do"/>				
				<forward
					name="comun.boton.atras"
					path="/w83bDispatchAtras.do"/>
		</action>
		
		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoTiposVoces"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoTiposVoces.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaTiposVocesAtrasNuevoEdicion.do"/>
		</action>
		
		<action
				path="/w83bDispatchAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="tiposVoces"
					path="/w83bSubOpConveniosEnd.do"/>
				<forward
					name="tiposVocesBusq"
					path="/w83bSubOpConveniosEnd.do"/>
				<forward
					name="convenios"
					path="/w83bAtrasConveniosBusq.do"/>
		</action>

		
		<!-- Operaciones de Paso -->
		<action path="/w83bTablaTiposVocesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bTiposVoces.W83bTablaTiposVocesOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqTiposVoces.do"/>
			<forward name="ok" path="/w83bTablaTiposVocesOutOP.do"/>
			<forward name="outOP" path="/w83bTablaTiposVocesOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaTiposVocesMenu.do"/>
		</action>
		
		<action path="/w83bTablaTiposVocesOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bTiposVoces.W83bTablaTiposVocesOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaTiposVocesMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaTiposVocesMenu.do"/>
		</action>	
		
		<action path="/w83bTablaTiposVocesIraNuevo" 
		name="w83bFormBusqTiposVoces" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bTiposVoces.W83bTablaTiposVocesIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirTiposVocesMenu.do"/>
			<forward name="error" path="w83bInicioBusquedaTiposVocesMenu.do"/>
		</action>

		<action path="/w83bTablaTiposVocesAtrasNuevoEdicion" 
		name="w83bFormBusqTiposVoces" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bTiposVoces.W83bTablaTiposVocesAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaTiposVocesMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirTiposVocesMenu.do"/>
		</action>
		<action path="/w83bTablaTiposVocesExcel" 
		name="w83bFormBusqTiposVoces" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bTiposVoces.W83bTablaTiposVocesExcelAction" 
			 validate="false">
			 <forward name="error" path="w83bInicioBusquedaTiposVocesMenu.do"/>
		</action>
		<action path="/w83bTablaTiposVocesBorrarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bTiposVoces.W83bTablaTiposVocesBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaTiposVocesBorrar.do"/>
			<forward name="error" path="/w83bInicioBusquedaTiposVocesMenu.do"/>
		</action>
			
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->	
   		<action path ="/w83bBusqTiposVoces" 
			 parameter="w83bBusqTiposVocesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaTiposVocesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaTiposVocesOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaTiposVocesMenu.do" />
		</action>
   		<action path ="/w83bMovimientoTiposVoces" 
			 parameter="w83bMovimientoTiposVocesOI" 
			 validate="true" name="w83bFormNuevoTiposVoces"
			 input="/w83bInicioAnyadirTiposVocesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirTiposVocesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirTiposVocesMenu.do" />
		</action>
   		<action path ="/w83bTablaTiposVocesDetalle" 
			 parameter="w83bDetalleTiposVocesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaTiposVocesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirTiposVocesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirTiposVocesMenu.do" />
		</action>
   		<action path ="/w83bTablaTiposVocesBorrar" 
			 parameter="w83bBorrarTiposVocesOI" 
			 validate="false" name="w83bFormNuevoTiposVoces" 
			 input="/w83bInicioAnyadirTiposVocesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirTiposVocesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirTiposVocesMenu.do" />
		</action>
   		
		<!-- Fin Operaciones Internas -->	
		
		<!-- SUB-OPERACIONES -->
		<action path="/w83bSubOpConveniosInit" forward="/w83bInicioBusquedaTiposVocesMenu.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83bSubOpConveniosEnd" forward="/w83bSubOpConveniosInit.do">
			<set-property property="subOp" value="end" />
		</action>
		
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-tiposvoces.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>